Subject: Re: cutting down the TODO list thread

From: Alvaro Herrera <[email-masked]>
Date: Tue, 16 May 2023 10:50:45 +0200

On 2023-May-13, John Naylor wrote:

> --------------------
> 2. Propose to move to the "Not Wanted list":

> Consider having single-page pruning update the visibility map
> -> Comment from Heikki in the thread:
> "I think I was worried about the possible performance impact of having to
> clear the bit in visibility map again. If you're frequently updating a
> tuple so that HOT and page pruning is helping you, setting the bit in
> visibility map seems counter-productive; it's going to be cleared soon
> again by another UPDATE. That's just a hunch, though. Maybe the overhead
> is negligible."

Hmm, I agree with removing the entry from the TODO list, but why is this
something we Do Not Want?  If somebody shows up and do some analysis
that in a certain workload it is beneficial to do this, then I don't
think we should turn them down.

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/